Hooks:PostHook(WeaponFactoryTweakData, "init", "SnG_Attachments", function(self)

-- Override Fix --
local hr_wpn_override = {

-- Primary Weapons --
-- Assault Rifle --
  "wpn_fps_ass_tecci",
  "wpn_fps_ass_contraband",
  "wpn_fps_ass_g3",

-- Light Machine Gun --
  "wpn_fps_lmg_hk21"
}

for i, wpn_id in pairs(hr_wpn_override) do
  self[wpn_id].override = self[wpn_id].override or {}
end

-------------------------------------------------------------------------------

-- Gewehr 3 / Brenner-21 --
-- Retro Grip --
self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_g_retro = { unit = "units/mods/weapons/wpn_fps_lmg_hk21_pts/wpn_fps_lmg_hk21_g_retro" }

-- Precision Grip --
self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_g_sniper = { unit = "units/mods/weapons/wpn_fps_lmg_hk21_pts/wpn_fps_lmg_hk21_g_sniper" }

-------------------------------------------------------------------------------

-- Stock --
-- Assault Rifle --
-- Gewehr 3 --
-- Precision Stock --
self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_s_sniper = self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_s_sniper or {}

self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_s_sniper.a_obj = "a_sg"

-- Wooden Stock --
self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_s_wood = self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_s_wood or {}

self.wpn_fps_lmg_hk21.override.wpn_fps_ass_g3_s_wood.a_obj = "a_sg"

-- SMG --
-- Compact-5 --
-- Adjustable Stock --
self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_adjust = self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_adjust or {}

self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_adjust.a_obj = "a_sa"
self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_adjust.adds = { "wpn_fps_ass_g3_s_plate" }

-- Bare Essentials Stock --
self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_ring = self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_ring or {}
self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_ring = self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_ring or {}

self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_ring.a_obj = "a_sb"
self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_ring.adds = { "wpn_fps_ass_g3_s_plate" }

self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_ring.a_obj = "a_sb"
self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_ring.adds = { "wpn_fps_ass_g3_s_plate" }

-- Spartan Stock --
self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_folding = self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_folding or {}
self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_folding = self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_folding or {}

self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_folding.a_obj = "a_ss"
self.wpn_fps_ass_g3.override.wpn_fps_smg_mp5_s_folding.adds  = { "wpn_fps_ass_g3_s_plate" }

self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_folding.a_obj = "a_ss"
self.wpn_fps_lmg_hk21.override.wpn_fps_smg_mp5_s_folding.adds  = { "wpn_fps_ass_g3_s_plate" }

-------------------------------------------------------------------------------

-- Part adding --
-- Assault Rifle --
-- Bootleg --
-- Stock --
table.insert(self.wpn_fps_ass_tecci.uses_parts, "wpn_fps_upg_m4_s_standard")

-- Little Friend 7.62 --
-- Barrel Ext. --
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_ass_tecci_ns_special")

-- Grip --
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_g_ergo")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_g_sniper")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_g_hgrip")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_g_mgrip")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_snp_tti_g_grippy")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_g_m4_surgeon")

-- Stock --
self.wpn_fps_ass_contraband.stock_adapter = "wpn_fps_upg_m4_s_adapter"
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_standard")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_pts")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_m4_uupg_s_fold")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_crane")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_mk46")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_upg_m4_s_ubr")
table.insert(self.wpn_fps_ass_contraband.uses_parts, "wpn_fps_snp_tti_s_vltor")

-- Gewehr 3 --
-- Grip --
table.insert(self.wpn_fps_ass_g3.uses_parts, "wpn_fps_lmg_hk21_g_ergo")

-- Stock --
table.insert(self.wpn_fps_ass_g3.uses_parts, "wpn_fps_smg_mp5_s_adjust")
table.insert(self.wpn_fps_ass_g3.uses_parts, "wpn_fps_smg_mp5_s_ring")
table.insert(self.wpn_fps_ass_g3.uses_parts, "wpn_fps_smg_mp5_s_folding")

-- LMG --
-- Brenner-21 --
-- Grip --
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_ass_g3_g_retro")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_ass_g3_g_sniper")

-- Stock --
self.wpn_fps_lmg_hk21.override.wpn_fps_upg_g3_s_bare = { a_obj = "a_sp" }

table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_ass_g3_s_sniper")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_ass_g3_s_wood")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_smg_mp5_s_adjust")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_smg_mp5_s_ring")
table.insert(self.wpn_fps_lmg_hk21.uses_parts, "wpn_fps_smg_mp5_s_folding")
end)